<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: File List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('files.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Bin_8hpp_source.html"><span class="icondoc"></span></a><b>Bin.hpp</b></td><td class="desc"></td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Bus_8hpp_source.html"><span class="icondoc"></span></a><b>Bus.hpp</b></td><td class="desc"></td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Caps_8hpp_source.html"><span class="icondoc"></span></a><b>Caps.hpp</b></td><td class="desc"></td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Clock_8hpp_source.html"><span class="icondoc"></span></a><b>Clock.hpp</b></td><td class="desc"></td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="core_8hpp_source.html"><span class="icondoc"></span></a><b>core.hpp</b></td><td class="desc"></td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="dmx__framework_8cpp.html" target="_self">dmx_framework.cpp</a></td><td class="desc">MediaServer DMX framework </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="dmx__framework_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="dmx__framework_8hpp.html" target="_self">dmx_framework.hpp</a></td><td class="desc">MediaServer DMX framework </td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Element_8hpp_source.html"><span class="icondoc"></span></a><b>Element.hpp</b></td><td class="desc"></td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="ElementFactory_8hpp_source.html"><span class="icondoc"></span></a><b>ElementFactory.hpp</b></td><td class="desc"></td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="file__watcher_8cpp.html" target="_self">file_watcher.cpp</a></td><td class="desc">Calls callback, when watched file is changed </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="file__watcher_8hpp_source.html"><span class="icondoc"></span></a><b>file_watcher.hpp</b></td><td class="desc"></td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-actions_8h_source.html"><span class="icondoc"></span></a><b>gmock-actions.h</b></td><td class="desc"></td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-cardinalities_8h_source.html"><span class="icondoc"></span></a><b>gmock-cardinalities.h</b></td><td class="desc"></td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-function-mocker_8h_source.html"><span class="icondoc"></span></a><b>gmock-function-mocker.h</b></td><td class="desc"></td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-generated-actions_8h_source.html"><span class="icondoc"></span></a><b>gmock-generated-actions.h</b></td><td class="desc"></td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-internal-utils_8h_source.html"><span class="icondoc"></span></a><b>gmock-internal-utils.h</b></td><td class="desc"></td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-matchers_8h_source.html"><span class="icondoc"></span></a><b>gmock-matchers.h</b></td><td class="desc"></td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="internal_2custom_2gmock-matchers_8h_source.html"><span class="icondoc"></span></a><b>internal/custom/gmock-matchers.h</b></td><td class="desc"></td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-more-actions_8h_source.html"><span class="icondoc"></span></a><b>gmock-more-actions.h</b></td><td class="desc"></td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-more-matchers_8h_source.html"><span class="icondoc"></span></a><b>gmock-more-matchers.h</b></td><td class="desc"></td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-nice-strict_8h_source.html"><span class="icondoc"></span></a><b>gmock-nice-strict.h</b></td><td class="desc"></td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="custom_2gmock-port_8h_source.html"><span class="icondoc"></span></a><b>custom/gmock-port.h</b></td><td class="desc"></td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-port_8h_source.html"><span class="icondoc"></span></a><b>gmock-port.h</b></td><td class="desc"></td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-pp_8h_source.html"><span class="icondoc"></span></a><b>gmock-pp.h</b></td><td class="desc"></td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock-spec-builders_8h_source.html"><span class="icondoc"></span></a><b>gmock-spec-builders.h</b></td><td class="desc"></td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock_8h_source.html"><span class="icondoc"></span></a><b>gmock.h</b></td><td class="desc"></td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gmock__link__test_8h_source.html"><span class="icondoc"></span></a><b>gmock_link_test.h</b></td><td class="desc"></td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="googletest-param-test-test_8h_source.html"><span class="icondoc"></span></a><b>googletest-param-test-test.h</b></td><td class="desc"></td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-death-test-internal_8h_source.html"><span class="icondoc"></span></a><b>gtest-death-test-internal.h</b></td><td class="desc"></td></tr>
<tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-death-test_8h_source.html"><span class="icondoc"></span></a><b>gtest-death-test.h</b></td><td class="desc"></td></tr>
<tr id="row_30_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-filepath_8h_source.html"><span class="icondoc"></span></a><b>gtest-filepath.h</b></td><td class="desc"></td></tr>
<tr id="row_31_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-internal-inl_8h_source.html"><span class="icondoc"></span></a><b>gtest-internal-inl.h</b></td><td class="desc"></td></tr>
<tr id="row_32_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-internal_8h_source.html"><span class="icondoc"></span></a><b>gtest-internal.h</b></td><td class="desc"></td></tr>
<tr id="row_33_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-matchers_8h_source.html"><span class="icondoc"></span></a><b>gtest-matchers.h</b></td><td class="desc"></td></tr>
<tr id="row_34_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-message_8h_source.html"><span class="icondoc"></span></a><b>gtest-message.h</b></td><td class="desc"></td></tr>
<tr id="row_35_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-param-test_8h_source.html"><span class="icondoc"></span></a><b>gtest-param-test.h</b></td><td class="desc"></td></tr>
<tr id="row_36_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-param-util_8h_source.html"><span class="icondoc"></span></a><b>gtest-param-util.h</b></td><td class="desc"></td></tr>
<tr id="row_37_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-port-arch_8h_source.html"><span class="icondoc"></span></a><b>gtest-port-arch.h</b></td><td class="desc"></td></tr>
<tr id="row_38_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="custom_2gtest-port_8h_source.html"><span class="icondoc"></span></a><b>custom/gtest-port.h</b></td><td class="desc"></td></tr>
<tr id="row_39_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-port_8h_source.html"><span class="icondoc"></span></a><b>gtest-port.h</b></td><td class="desc"></td></tr>
<tr id="row_40_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-printers_8h_source.html"><span class="icondoc"></span></a><b>gtest-printers.h</b></td><td class="desc"></td></tr>
<tr id="row_41_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="internal_2custom_2gtest-printers_8h_source.html"><span class="icondoc"></span></a><b>internal/custom/gtest-printers.h</b></td><td class="desc"></td></tr>
<tr id="row_42_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-spi_8h_source.html"><span class="icondoc"></span></a><b>gtest-spi.h</b></td><td class="desc"></td></tr>
<tr id="row_43_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-string_8h_source.html"><span class="icondoc"></span></a><b>gtest-string.h</b></td><td class="desc"></td></tr>
<tr id="row_44_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-test-part_8h_source.html"><span class="icondoc"></span></a><b>gtest-test-part.h</b></td><td class="desc"></td></tr>
<tr id="row_45_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-type-util_8h_source.html"><span class="icondoc"></span></a><b>gtest-type-util.h</b></td><td class="desc"></td></tr>
<tr id="row_46_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-typed-test_8h_source.html"><span class="icondoc"></span></a><b>gtest-typed-test.h</b></td><td class="desc"></td></tr>
<tr id="row_47_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest-typed-test__test_8h_source.html"><span class="icondoc"></span></a><b>gtest-typed-test_test.h</b></td><td class="desc"></td></tr>
<tr id="row_48_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest_8h_source.html"><span class="icondoc"></span></a><b>gtest.h</b></td><td class="desc"></td></tr>
<tr id="row_49_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="internal_2custom_2gtest_8h_source.html"><span class="icondoc"></span></a><b>internal/custom/gtest.h</b></td><td class="desc"></td></tr>
<tr id="row_50_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest__pred__impl_8h_source.html"><span class="icondoc"></span></a><b>gtest_pred_impl.h</b></td><td class="desc"></td></tr>
<tr id="row_51_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="gtest__prod_8h_source.html"><span class="icondoc"></span></a><b>gtest_prod.h</b></td><td class="desc"></td></tr>
<tr id="row_52_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="json__demo_8cpp.html" target="_self">json_demo.cpp</a></td><td class="desc">Example of using </td></tr>
<tr id="row_53_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="json__reader_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="json__reader_8hpp.html" target="_self">json_reader.hpp</a></td><td class="desc">To read all media paths we need from a given media file example json file in <a class="el" href="main_8cpp.html" title="MediaServer Core Executable File.">main.cpp</a> </td></tr>
<tr id="row_54_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="json__reader__automatic__tests_8cpp.html" target="_self">json_reader_automatic_tests.cpp</a></td><td class="desc"></td></tr>
<tr id="row_55_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="main_8cpp.html" target="_self">main.cpp</a></td><td class="desc">MediaServer Core Executable File </td></tr>
<tr id="row_56_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="media__framework_8cpp.html" target="_self">media_framework.cpp</a></td><td class="desc"></td></tr>
<tr id="row_57_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="media__framework_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="media__framework_8hpp.html" target="_self">media_framework.hpp</a></td><td class="desc"></td></tr>
<tr id="row_58_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="media__framework__automatic__tests_8cpp.html" target="_self">media_framework_automatic_tests.cpp</a></td><td class="desc">MediaServer Media framework automatic tests </td></tr>
<tr id="row_59_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Message_8hpp_source.html"><span class="icondoc"></span></a><b>Message.hpp</b></td><td class="desc"></td></tr>
<tr id="row_60_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Object_8hpp_source.html"><span class="icondoc"></span></a><b>Object.hpp</b></td><td class="desc"></td></tr>
<tr id="row_61_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Pad_8hpp_source.html"><span class="icondoc"></span></a><b>Pad.hpp</b></td><td class="desc"></td></tr>
<tr id="row_62_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Pipeline_8hpp_source.html"><span class="icondoc"></span></a><b>Pipeline.hpp</b></td><td class="desc"></td></tr>
<tr id="row_63_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Prelude_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="Prelude_8hpp.html" target="_self">Prelude.hpp</a></td><td class="desc">Includes call C++ Wrappers for Gstreamer </td></tr>
<tr id="row_64_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="prime__tables_8h_source.html"><span class="icondoc"></span></a><b>prime_tables.h</b></td><td class="desc"></td></tr>
<tr id="row_65_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="production_8h_source.html"><span class="icondoc"></span></a><b>production.h</b></td><td class="desc"></td></tr>
<tr id="row_66_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="sample1_8h_source.html"><span class="icondoc"></span></a><b>sample1.h</b></td><td class="desc"></td></tr>
<tr id="row_67_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="sample2_8h_source.html"><span class="icondoc"></span></a><b>sample2.h</b></td><td class="desc"></td></tr>
<tr id="row_68_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="sample3-inl_8h_source.html"><span class="icondoc"></span></a><b>sample3-inl.h</b></td><td class="desc"></td></tr>
<tr id="row_69_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="sample4_8h_source.html"><span class="icondoc"></span></a><b>sample4.h</b></td><td class="desc"></td></tr>
<tr id="row_70_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="Structure_8hpp_source.html"><span class="icondoc"></span></a><b>Structure.hpp</b></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
